Bug 10559 - rsync from 6.2 box stalls
Summary: rsync from 6.2 box stalls
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsync   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-03 19:15 UTC by Adrian Likins
Modified: 2014-03-17 02:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-06 14:25:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adrian Likins 2000-04-03 19:15:03 UTC
When rsync'ing a moderate size set of files from a 6.2
machine to a 6.0 machine, the rsync "freezing" after a few
minutes.

A strace on the process indicates that it is sitting in
select()'s and just timing out over and over.

The file set in question is about 26,000 files and about
200 megs. Usually after some subset of the files get transfered,
the transfer stalls.

This behaviour was seen with the remote box running the rsync
from 6.0, and after upgrading to the version from 6.2.

Downgrading the client to the rsync from 6.1 seems to make
things go.

Strace of the client side available if need be, but its huge.

Comment 1 Tim Waugh 2000-04-06 09:39:59 UTC
I've seen this too.  If you attach strace to the child ssh process, it carries
on.

Comment 2 Bill Nottingham 2000-04-06 14:25:59 UTC
This should be fixed in rsync-2.4.2-1 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.